Bug 537250 - drop conditional for old Fedora
drop conditional for old Fedora
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-12 17:39 EST by Dennis Gregorovic
Modified: 2010-06-24 12:32 EDT (History)
5 users (show)

See Also:
Fixed In Version: bacula-5.0.2-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-24 12:32:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gregorovic 2009-11-12 17:39:58 EST
Description of problem:
In the latest bacula.spec, there is the following segment:

%if 0%{?fedora} >= 7
BuildRequires: tcp_wrappers-devel
%else
BuildRequires: tcp_wrappers
%endif

Please change this to

BuildRequires: tcp_wrappers-devel

Building for Fedora < 7 is no longer needed.
Comment 1 Paul Howarth 2009-11-13 05:03:50 EST
The buildreq could be simplified whilst maintaining compatibility with EPEL and old Fedora releases by using this form instead:

BuildRequires: /usr/include/tcpd.h
Comment 2 Bug Zapper 2009-11-16 10:29:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2010-06-03 08:37:53 EDT
bacula-5.0.2-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bacula-5.0.2-5.fc13
Comment 4 Fedora Update System 2010-06-04 14:50:33 EDT
bacula-5.0.2-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bacula-5.0.2-5.fc13
Comment 5 Fedora Update System 2010-06-24 12:32:14 EDT
bacula-5.0.2-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.